<div class="sheet-container">
    <img class="background" src="{{backgroundImages.url}}" title="{{localize backgroundImages.title}}"
         alt="{{localize 'tor1e.weapons.details.tech.alt'}}"/>
    <form class="{{cssClass}}" autocomplete="off">

        {{> "systems/tor1e/templates/sheets/actors/partials/common/actor-header-card.hbs"
                width = 125
                height = 125}}
        <section class="hostile-friendly">
            {{> "systems/tor1e/templates/sheets/actors/partials/common/faction-slider-card.hbs"
                    reference="system.faction.value"
                    attribute=system.faction}}
        </section>
        <div class="sheet-content">
            <section id="main-stats">
                <div class="flexrow simple-stat-row" id="resources">
                    {{> "systems/tor1e/templates/sheets/actors/components/stat-circle-card.hbs"
                            stat=system.attributeLevel
                            reference="system.attributeLevel.value"}}
                    {{> "systems/tor1e/templates/sheets/actors/components/resource-circle-card.hbs"
                            stat=system.endurance
                            reference="system.endurance.value"
                            extension-reference="system.endurance.max"
                            extension-label="tor1e.actors.stats.max"}}
                    {{> "systems/tor1e/templates/sheets/actors/components/resource-circle-card.hbs"
                            stat=system.hate
                            reference="system.hate.value"
                            extension-reference="system.hate.max"
                            extension-label="tor1e.actors.stats.max"}}
                </div>
                <div id="defense" class="flexrow simple-stat-row">
                    {{> "systems/tor1e/templates/sheets/actors/components/stat-circle-card.hbs"
                            stat=system.parry
                            reference="system.parry.value"
                            extension-item=shieldDTO
                            extension-canBeDeleted=true
                            extension-css-class="bonus"}}

                    {{> "systems/tor1e/templates/sheets/actors/components/item-circle-card.hbs"
                            title="tor1e.items.armours.armour"
                            rollable=true
                            canBeDeleted=true
                            stat=armourDTO
                            extension-item=headgearDTO
                            extension-canBeDeleted=true
                            extension-css-class="bonus"}}

                    {{> "systems/tor1e/templates/sheets/actors/components/effects-card.hbs"
                            effects=effects}}
                </div>
            </section>
            <section id="skills">
                <h2>{{localize "tor1e.actors.skills.title"}}</h2>
                {{> "systems/tor1e/templates/sheets/actors/partials/adversary/adversary-skill-card.hbs"}}
            </section>
            <section id="combat-skills">
                <h2>{{localize "tor1e.actors.combatSkills.title"}}</h2>
                <ul class="collapsibleList">
                    <div class="flexrow">
                        <p class="table-main-column table-caption">{{localize "tor1e.weapons.details.weapon"}}</p>
                        <p class="table-caption table-complex-column">{{localize "tor1e.weapons.details.ranks"}}</p>
                        <p class="table-caption">{{localize "tor1e.weapons.details.damage"}}</p>
                        <p class="table-caption">{{localize "tor1e.weapons.details.edge"}}</p>
                        <p class="table-caption">{{localize "tor1e.weapons.details.injury"}}</p>
                        <p class="table-caption"></p>
                    </div>
                    {{#each weapons as |weapon id|}}
                        {{> "systems/tor1e/templates/sheets/actors/partials/common/weapon-card.hbs" weapon}}
                    {{/each}}
                </ul>
            </section>
            <section id="specialAbilities">
                <h2>{{localize "tor1e.actors.specialAbilities.title"}}</h2>
                <div class="flexrow">
                    <div class="flexcol">
                        <ul class="collapsibleList">
                            {{#each leftSpecialAbilities as |specialAbilitie id|}}
                                {{> "systems/tor1e/templates/sheets/actors/partials/adversary/special-ability-card.hbs" specialAbilitie}}
                            {{/each}}
                        </ul>
                    </div>
                    <div class="flexcol">
                        <ul class="collapsibleList">
                            {{#each rightSpecialAbilities as |specialAbilitie id|}}
                                {{> "systems/tor1e/templates/sheets/actors/partials/adversary/special-ability-card.hbs" specialAbilitie}}
                            {{/each}}
                        </ul>
                    </div>
                </div>
            </section>
            <section id="description">
                <h2 class="toggle">{{localize "tor1e.common.description"}}</h2>
                <div class="editor-container">
                    {{editor description target="system.description.value" button=true
                             editable=true}}
                </div>
            </section>
        </div>
    </form>
</div>